%global momorel 4

Summary: A framework for managing user passwords and other secrets
Name: gnome-keyring

Version: 2.30.3
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: GPL
URL: http://www.gnome.org

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# for smooth transition since the core was split
Requires: libgnome-keyring
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: dbus-devel >= 1.2.4
BuildRequires: gtk2-devel >= 2.18.0
Buildrequires: glib2-devel >= 2.22.0
Buildrequires: hal-devel >= 0.5.12
Buildrequires: libgnome-keyring-devel
Buildrequires: libtasn1-devel >= 1.8
Buildrequires: GConf2-devel >= 2.26.0
Requires(pre):          GConf2
Requires(post):         GConf2
Requires(preun):        GConf2

%description
gnome-keyring manages passwords and other types of secrets
for the user, storing them encrypted with a main password.
Applications can use the gnome-keyring library to integrate
with the keyring.

%package devel
Summary: The files needed for gnome-keyring application development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnome-keyring-devel
Requires: gtk2-devel

%description devel
The gnome-keyring-devel package contains the libraries and
include files that you can use to develop applications that
use gnome-keyring.

%package pam
Summary: A pam module for unlocking keyrings at login time
License: LGPLv2+
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
# for /lib/security
Requires: pam

%description pam
The gnome-keyring-pam package contains a pam module that can
automatically unlock the "login" keyring when the user logs in
and start the keyring daemon.


%prep
%setup -q

%build
%configure --enable-gtk-doc \
    --enable-silent-rules \
    --with-pam-dir=/%{_lib}/security \
    --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnome-keyring.schemas \
    > /dev/null 2>&1 || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-keyring.schemas \
      > /dev/null 2>&1 || :
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-keyring.schemas \
      > /dev/null 2>&1 || :
fi

%postun
/sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB ChangeLog
%{_sysconfdir}/gconf/schemas/gnome-keyring.schemas
%{_sysconfdir}/xdg/autostart/gnome-keyring-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-secrets.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-ssh.desktop
%{_libdir}/lib*.so.*
%exclude %{_libdir}/lib*.la
%{_libdir}/gnome-keyring
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/dbus-1/services/org.gnome.keyring.service
%{_datadir}/dbus-1/services/org.freedesktop.secrets.service

%{_datadir}/gcr
%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%doc %{_datadir}/gtk-doc/html/gp11
%doc %{_datadir}/gtk-doc/html/gcr

%files pam
%defattr(-, root, root)
/%{_lib}/security/*.so
%exclude /%{_lib}/security/*.la

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.3-4m)
- full rebuild for mo7 release

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.30.3-3m)
- add Requires context (pre,post,preun)

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.30.3-2m)
- add Requires: GConf2

* Wed Jun 23 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.3-1m)
- update to 2.30.3

* Tue Jun 22 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.30.1-2m)
- revert to version 2.30.1
- can not login via gdm with gnome-keyring-2.30.2

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-1m)
- update to 2.30.2

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.90-1m)
- update to 2.29.90

* Sat Jan 16 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.29.5-2m)
- add Requires: libgnome-keyring-devel to package devel (build fix of gir-repository)
- add Buildrequires: libgnome-keyring-devel

* Sat Jan 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.5-1m)
- update to 2.29.5

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.28.2-3m)
- delete __libtoolize hack

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.2-2m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Tue Dec 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.2-1m)
- update to 2.28.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Oct 18 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Wed Sep 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Tue Jun 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.3-1m)
- update to 2.26.3

* Sun May 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26.1-2m)
- add REMOVE.PLEASE (thanks Dai-san...)

* Mon Apr 13 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-2m)
- fix autostart

* Sun Mar 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-2m)
- mv autostart file %%{_sysconfdir}/xdg/gnome/autostart

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Thu Feb 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-2m)
- delete autostart file

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-2m)
- rebuild against rpm-4.6

* Mon Oct 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Tue Sep 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Wed Aug 27 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.22.3-2m)
- sync Fedora
- change pam module directory

* Tue Jul  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Mon Apr 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-3m)
- rebuild against gcc43

* Wed Mar 12 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.22.0-2m)
- add BuildRequires: libtasn1-devel

* Tue Mar 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Sun Nov 25 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Thu Oct 18 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20.1-2m)
- build fix on x86_64

* Wed Oct 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8-1m)
- update to 0.8

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.92-1m)
- update to 0.7.92

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.91-2m)
- good-bye %%makeinstall

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.91-1m)
- update to 0.7.91 (unstable)

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.4.9-3m)
- rebuild against exdpat-2.0.0-1m

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.9-2m)
- delete libtool library

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.9-1m)
- update to 0.4.9

* Sat Feb 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.7-1m)
- update to 0.4.7

* Sun Dec  4 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.6-1m)
- update to 0.4.6
- GNOME 2.12.2 Desktop

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.5-2m)
- delete autoreconf and make check

* Wed Nov 16 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.5-1m)
- version up
- GNOME 2.12.1 Desktop

* Sat Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-1m)
- version 0.4.0
- GNOME 2.8 Desktop

* Mon Dec 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-3m)
- add auto commands before %%build for fix missing lib*.so problem

* Sun Apr 18 2004 Toru Hoshina <t@momonga-linux.org>
- (0.2.0-2m)
- revised spec for rpm 4.2.

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.0-1m)
- version 0.2.0
- GNOME 2.6 Desktop
- initial import into Momonga HEAD

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.1.90-1
- update to 0.1.90

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 0.1.4-1
- update to 0.1.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 0.1.3-1
- update to 0.1.3

* Mon Jan 26 2004 Bill Nottingham <notting@redhat.com>
- tweak summary

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-2
- devel package only needs glib2-devel, not gtk2-devel

* Fri Jan 23 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-1
- First version

